Skip to main content
DELETE
/
organization
/
rag
/
sources
/
{uuid}
Delete a single AI source
curl --request DELETE \
  --url https://api.getfernand.com/organization/rag/sources/{uuid} \
  --header 'X-API-Key: <api-key>'
import requests

url = "https://api.getfernand.com/organization/rag/sources/{uuid}"

headers = {"X-API-Key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api.getfernand.com/organization/rag/sources/{uuid}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


package main

import (
"fmt"
"net/http"
"io"
)

func main() {

url := "https://api.getfernand.com/organization/rag/sources/{uuid}"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))

}
using RestSharp;


var options = new RestClientOptions("https://api.getfernand.com/organization/rag/sources/{uuid}");
var client = new RestClient(options);
var request = new RestRequest("");
request.AddHeader("X-API-Key", "<api-key>");
var response = await client.DeleteAsync(request);

Console.WriteLine("{0}", response.Content);
HttpResponse<String> response = Unirest.delete("https://api.getfernand.com/organization/rag/sources/{uuid}")
.header("X-API-Key", "<api-key>")
.asString();
{}
Permanently removes a source from the AI store by its UUID. The deletion is processed asynchronously.

Authorizations

X-API-Key
string
header
required

Authenticate your account by including your secret key in API requests. You can manage your API keys in the Dashboard.

Authentication to the API is performed by using the HTTP Header X-API-Key.

Path Parameters

uuid
string
required

UUID of the source to delete.

Response

200 - application/json

Source queued for deletion.

The response is of type object.